Bug 131077 - kernel 2.6.8-1.521 won't boot from a libata device (sil3112)
kernel 2.6.8-1.521 won't boot from a libata device (sil3112)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-27 06:50 EDT by Need Real Name
Modified: 2013-07-02 22:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:17:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-27 06:50:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
FC2 installation kernel (2.6.5-1.358) uses the ide driver for
accessing SATA devices. In particular, we use a Silicon Image 3112 here.

This kernel has no problems at finding our root filesystem, which
resides on  a logical volume which in time is on a raid1 device.

At some point between 2.6.5-1.358 and 2.6.8-1.521, the driver for sata
devices was changed in favor of the newer libata driver. This setup
won't find our root filesystem at all, no matter if libata and
sata_sil are compiled as modules or included in the kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set the root filesystem on a sata device (tested on a sil3112)
2. ensure the kernel uses libata (not the ide driver) for it (as stock
2.6.8-1.521 does)
3. Try to boot it

Actual Results:  The kernel, as it comes, won't find the Silicon Image
chip, and thus the root filesystem can't be mounted.

Expected Results:  The kernel should have found the chip and the
attached disks, and should have been able to find the root filesystem.

Additional info:
Comment 1 Mike Palmer 2004-11-01 14:17:39 EST
I'm see the same problem with my Asus A7N8X-E Deluxe motherboard which
has a Sil3112 Sata controller. Kernel 2.6.6-1.435 runs ok on the
machine but when I try kernel 2.6.8-1.521 I get screaming irq 11,
ata_interrupt+0x0/0x1ee [libata] disabling irq 11.

Any news on when this bug will be fixed?
Comment 2 Dave Jones 2004-11-27 15:24:52 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 3 Need Real Name 2004-11-29 05:00:46 EST
For me it was a problem with mkinitrd: it did store the modules
sata_sil, libata and scsi_mod, but not sd_mod. Hence, The sil3112 chip
was found, but no disk was available on it.

The problem went away when I added sd_mod to the initrd.

I can't test 2.6.9 right now, since this machine is a production server.
Comment 4 Dave Jones 2005-04-16 01:17:05 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.